commit dafaf53e6c8973bc731980e470a0eea6cad2f104
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Dec 10 01:19:54 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 56b7a743e75..f4998ba42f7 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,18 @@
+2025-12-09  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	Backported from master:
+	2025-12-02  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	PR target/122656
+	* config/riscv/riscv-vector-builtins-bases.cc: Use
+	use_contiguous_load for vlsegff.
+	* config/riscv/riscv-vector-builtins.cc (function_expander::use_exact_insn):
+	Only add rounding mode operand if insn requires it and number of
+	arguments is < required.
+	(function_expander::use_ternop_insn): Ditto.
+	(function_expander::use_widen_ternop_insn): Ditto.
+	* config/riscv/vector.md: Use vector-mode source operand.
+
 2025-12-08  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 4568345b5e8..4d0208f2359 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251209
+20251210
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 3a81417f142..b42b2087979 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,14 @@
+2025-12-09  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-12-05  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/122977
+	* expr.cc (gfc_is_simply_contiguous): For an associate variable
+	check whether the associate target is contiguous.
+	* resolve.cc (resolve_symbol): Skip array type check for an
+	associate variable when	the target has the contiguous attribute.
+
 2025-11-18  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 4f4e55c0bcb..78442558cfe 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,20 @@
+2025-12-09  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-12-05  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/122977
+	* gfortran.dg/contiguous_16.f90: New test.
+
+2025-12-09  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	Backported from master:
+	2025-12-02  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	PR target/122656
+	* gcc.target/riscv/rvv/base/pr122656-1.c: New test.
+	* gcc.target/riscv/rvv/base/pr122656-2.c: New test.`
+
 2025-12-08  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

